I'm glad to invite you all to participate in 101 Hack 39! The contest will start today at 16.30 UTC, July 12.

All problems are prepared by me. It will be my first HackerRank round so far. Also you may want to check my Codeforces round which held very lately Codeforces Round #352 (Div. 1) or Codeforces Round #352 (Div. 2).

There will be five tasks and two hours for you to solve them. Contest will be rated and top-10 contestants on the leaderboard will receive amazing HackerRank T-shirts!

I want to thank wanbo and ErdemKirez for testing problems and for their great advices. It was awesome to work with them.

I hope you will like the problemset. I tried my best to prepare interesting problems, so I strongly recommend you all to participate. Please read all of the problem statements during contest, because some problems may have subtasks and you don't need to find best solution to get points. Also some of the problems may be little harder than usual.

Editorials will be published right after the contest.

Scoring will be **20-40-70-80-100**

**UPD**: Contest has ended! Congratulations to winners! Editorials for every problem are available now.

1.mmaxio

2.anta

3.TeaPot

5.sugim48

7.geniucos

8.bicsi

10.Arterm

Nice problemset. Glad to see contests on HackerRank having proper subtasks and marking schemes.

Thank you for the contest :)

Score distribution among places is kinda funny.

1st place — 306.

20th place — 150.

Daafuq that gap.

And 80th place did nothing more than 2 easiest tasks (20 + 40).

Out of ~1800 people. Lol.

To prevent from this we added some easy subtasks to 3-th problem. But only a few people got points from this subtasks.

For me the hardest part was to count the value of g(x,y) without any changes. It was worth 14 points, whilst checking if that value is already maximal or if we can make at least one change was worth 70 points.

I was pretty close, but didn't manage to finish that part on time, hence I got 0 points for the whole problem.

To sum up — I don't think that these subtasks were easy, and solving them was more or less equivalent to solving the whole problem.

Can someone discuss his approach for this problem: https://www.hackerrank.com/contests/101hack39/challenges/maximizing-the-function I am not able to understand the editorial. Thank you

40 points96 pointsxD

better xD is converting subtask k : <0, 1> to all possible k in 70 pts problem

-4 because of the last sample? The last sample is a bamboo, so it was possible to get 100 without solving the problem, lol?

I'm wondering what is the contest grading system. Are the scores added when a particular test set is solved?

Some tests passScore is 0This problem has binary scoring. It is mentioned in statement.

Just out of curiosity!! Can question b be solved using binary search as i have seen majority of 2 pointers question can be solved using binary search.If we exclude the -1 case then the function is monotonic in k but i am unable to write the checker function.

This question is like :Can you solve a matching problem with flow? Of course you can, but... Why should you? Binary search is unnecessary, as you apply greedy anyway.